
Redmine - Defect #7150

NoMethodError - Update 0.8 to 1.0 

2010-12-21 16:33 - Anonymous

Status: Closed Start date: 2010-12-21

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.4

Description

I've upgraded redmine from 0.8 to 1.0.. But I've problems to run the new version.. I've also done the migrations AND the migrations

for plugins..

The commands were:

vs2052239:~/docs$ rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production

vs2052239:~/docs$ rake db:migrate_plugins RAILS_ENV=production

 The error-message on Welcome-Screen is:

Showing app/views/layouts/base.rhtml where line #41 raised:

You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.<=>

Extracted source (around line #41):

38:         <%= link_to l(:label_search), {:controller => 'search', :action => 'index', :id => @pr

oject}, :accesskey => accesskey(:search) %>:

39:         <%= text_field_tag 'q', @question, :size => 20, :class => 'small', :accesskey => acces

skey(:quick_search) %>

40:         <% end %>

41:         <%= render_project_jump_box %>

42:     </div>

43:     

44:     <h1><%= page_header_title %></h1>

RAILS_ROOT: /var/www/projects/redmine-1.0

 My enviroment is:

vs2052239:~/docs$ RAILS_ENV="production" script/about

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/...../redmine-1.0

Environment               production

Database adapter          mysql

Database schema version   101

 Thanks for any help..

History
#1 - 2010-12-21 16:35 - Anonymous

Update the information "Full Trace"

/var/www/projects/redmine-1.0/app/helpers/application_helper.rb:243:in `sort_by'

/var/www/projects/redmine-1.0/app/helpers/application_helper.rb:243:in `project_tree'

/var/www/projects/redmine-1.0/app/helpers/application_helper.rb:226:in `project_tree_options_for_select'

/var/www/projects/redmine-1.0/app/helpers/application_helper.rb:216:in `render_project_jump_box'

/var/www/projects/redmine-1.0/app/views/layouts/base.rhtml:41:in `_run_rhtml_app47views47layouts47base46rhtml'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/renderable.rb:34:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/renderable.rb:34:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/base.rb:306:in `with_template'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/renderable.rb:30:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/template.rb:205:in `render_template'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/base.rb:265:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/base.rb:352:in `_render_with_layout'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_view/base.rb:262:in `render'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:1250:in `render_for_file'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:945:in `render_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:51:in `render'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `ms'

#2 - 2010-12-21 18:58 - Mischa The Evil

Which plugins do you have installed?

#3 - 2010-12-21 22:26 - Anonymous

Mh, I've had timesheet-plugin installed, but in the new version I have no plugins installed.. Should I install  timesheet to avoid nil-pointer?

thx,

tom

#4 - 2010-12-21 23:11 - Jean-Philippe Lang

It looks like some database fields where not properly initialized during migration.

Can you attach the result of the following query:

SELECT id, parent_id, lft, rgt FROM projects;

#5 - 2010-12-21 23:20 - Anonymous

sure..fyi, the projects all have no subprojects...

1      NULL      3      4

2     NULL     1     2

3     NULL     11     12

4     NULL     7     8

5     NULL     5     6

6     NULL     19     20

7     NULL     9     10

8     NULL     13     14

9     NULL     17     18

10     NULL     15     16

#6 - 2010-12-22 11:56 - Anonymous

Update: I've noticed an real mysql-error.. in calling http://myredmine/projects/projectname ..

Mysql::Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server ver

sion for the right syntax to use near 'AND projects.rgt < ))) AND issue_statuses.is_closed=0) AND (projects.st

atus=1 AN' at line 1: SELECT count(DISTINCT `issues`.id) AS count_all, tracker_id AS tracker_id FROM `issues` 

 LEFT OUTER JOIN `projects` ON `projects`.id = `issues`.project_id  LEFT OUTER JOIN `issue_statuses` ON `issue

_statuses`.id = `issues`.status_id  LEFT OUTER JOIN `trackers` ON `trackers`.id = `issues`.tracker_id WHERE ((

(projects.id = 2 OR (projects.lft >  AND projects.rgt < ))) AND issue_statuses.is_closed=0) AND (projects.stat

us=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking'))  GROUP 

BY tracker_id 

 It seems, that the default-value for projects.lft an projects.rgt is not working..

Thanks for your help..

Tom

#7 - 2010-12-22 18:38 - Anonymous
http://myredmine/projects/projectname


- Status changed from New to Resolved

- % Done changed from 0 to 100

I've done a complete new migration with restored database and newest version (svn update) of redmine. and it works..

#8 - 2010-12-22 21:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Your project table was looking ok. Anyway, thanks for the feedback.
